- name: Upgrade packages to their latest version if configured
  package:
    name: "*"
    state: latest
  register: result
  retries: 5
  delay: 5
  until: result is success
  when: system_packages_upgrade | bool

- name: Remove packages that are no longer required if configured
  package:
    autoremove: true
  when: system_packages_autoremove | bool

- name: Run Automatic Security Upgrades directly (Ubuntu)
  command: unattended-upgrade
  register: result
  retries: 5
  delay: 5
  until: result is success
  when:
    - system_packages_auto_security_upgrade
    - ansible_facts['os_family'] == "Debian"

- name: Run Automatic Security Upgrades directly (RHEL)
  command: dnf-automatic
  register: result
  retries: 5
  delay: 5
  until: result is success
  when:
    - system_packages_auto_security_upgrade
    - ansible_facts['os_family'] == 'RedHat'
    - ansible_facts['distribution_major_version'] == '8'

- name: Run Automatic Security Upgrades directly (RHEL - Amazon Linux 2)
  command: yum update --security -y
  register: result
  retries: 5
  delay: 5
  until: result is success
  when:
    - system_packages_auto_security_upgrade
    - ansible_facts['distribution'] == 'Amazon'
    - ansible_facts['distribution_major_version'] == '2'
